<form id="compListForm" class="invisible-form" method="POST" action="{{ url_for('components') }}">
  <input type="hidden" name="_method" value="PUT"/>
  <input type="hidden" id="compAction" name="action" value=""/>

  <div class="row-field alert hidden">
    <button type="button" class="close" data-dismiss="alert">&times;</button>
    <span></span>
  </div>
  <table id="component_table" class="table table-hover table-striped footable">
    <thead>
    <tr>
      <th style="text-align:center;"><input type="checkbox" id="doc_id_all" name="all" value=""/></th>
      <th>Component Type</th>
      <th data-class="expand">Component Code</th>
      <th data-hide="phone,tablet">Description</th>
      <th>MOC</th>
      <th>Base Price</th>
    </tr>
    </thead>
    <tbody>
    {% for component in components %}
      <tr>
        <td style="text-align:center;">
            <input type="checkbox" name="pid" value="{{ component.id }}"/>
        </td>
        <td>{{ component.component_def.name }}</td>
        <td>{{ component.code }}</td>
        <td>{{ component.desc }}</td>
        <td>{{ component.moc if component.moc else '' }}</td>
        <td>{{ component.base_price }}</td>
      </tr>
    {% endfor %}
    </tbody>
  </table>
</form>
<div id="preview-container"></div>